Skip to navigation

DeepSeek V4 Flash 0731

DeepSeek V4 Flash 0731
DeepSeek · Text Generation
POST /v1/chat/completions

Post-trained 0731 release with major gains across coding, repository work, tool use, and full-stack tasks, plus a 1M context window.

At a glance

FieldValue
Model iddeepseek-v4-flash-0731
Model release date2026-07-31
Input modalitiesText
Output modalitiesText
Context window1M
Weight precision-
Max output tokens393,216
RegionGermany
Featuresreasoning, function_calling, structured_output, agentic_coding
Native inferenceNo
NewNo
Structured outputJSON Mode
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/deepseek-v4-flash-0731:generateContent
Alternate model idsdeepseek/deepseek-v4-flash-0731, deepseek-ai/deepseek-v4-flash-0731

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$0.424
Outputper 1M generated tokens$1.272
Web Search (Linkup)per call when invoked$0.013

Example request

curl https://api.empiriolabs.ai/v1/chat/completions \
-H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"model": "deepseek-v4-flash-0731", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature. 0 = deterministic, 2 = maximum randomness. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. Lower = more focused. · Range: 0 – 1
max_tokensnumberno-Maximum output tokens. When omitted, the model’s own default applies. · Range: 1 – 393216
stopstringno-Up to 4 strings where the model will stop generating further tokens.
enable_thinkingbooleannotrueEnable step-by-step reasoning before answering.
reasoning_effortenumno"medium"Reasoning effort level. none disables thinking. low, medium, high, and max set bounded thinking budgets sized to the selected model. · Allowed: none, low, medium, high, max
thinking_budgetnumberno32768Maximum tokens reserved for reasoning when thinking is enabled. · Range: 1 – 393216
response_formatenumno-Return the output as a valid JSON object (JSON mode). Describe the fields you want in your prompt.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseReturn the answer without the Sources list that web search adds.

Notes

Thinking is enabled by default and can be disabled. Reasoning tokens are billed as output tokens. Optional Linkup web search is billed only when invoked.

Variants

:variant1

FieldValue
Model iddeepseek-v4-flash-0731:variant1
Model release date2026-07-31
RegionUnited States
Context window1M
Weight precision-
Max output tokens393,216
Featuresreasoning, function_calling, structured_output, agentic_coding
Native inferenceNo
Structured outputJSON Schema
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/deepseek-v4-flash-0731:variant1:generateContent

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$0.44
Outputper 1M generated tokens$1.32
Web Search (Linkup)per call when invoked$0.013

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature. 0 = deterministic, 2 = maximum randomness. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. Lower = more focused. · Range: 0 – 1
max_tokensnumberno-Maximum output tokens. When omitted, the model’s own default applies. · Range: 1 – 393216
stopstringno-Up to 4 strings where the model will stop generating further tokens.
enable_thinkingbooleannotrueEnable step-by-step reasoning before answering.
thinking_budgetnumberno32768Maximum tokens reserved for reasoning when thinking is enabled. · Range: 1 – 393216
reasoning_effortenumno"medium"Reasoning effort level. none disables thinking. low, medium, high, and max set bounded thinking budgets sized to the selected model. · Allowed: none, low, medium, high, max
response_formatenumno-Constrain the output to JSON. Use JSON mode for any valid JSON object, or JSON schema to force output that matches a schema you provide.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseReturn the answer without the Sources list that web search adds.

Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/deepseek-v4-flash-0731.